Bug 433333 - ipa-client-install binds to the domain found in DNS when you manually tell it to bind elsewhere.
ipa-client-install binds to the domain found in DNS when you manually tell it...
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-client (Show other bugs)
unspecified
All Linux
high Severity low
: ---
: ---
Assigned To: Simo Sorce
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-02-18 13:18 EST by Michael Gregg
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log with successful negitive test case (41.77 KB, text/plain)
2008-04-02 14:41 EDT, Michael Gregg
no flags Details

  None (edit)
Description Michael Gregg 2008-02-18 13:18:26 EST
Description of problem:
When you feed a alternate domain to ipa-client-install, ipa-client install
doesn't seem to try binging to your provided domain/server, but only looks in
DNS for information.

How reproducible:
always

Steps to Reproduce:
1. set up 2 working ipa-servers
2. create a seperate host with ipa-client installed
3. set it's resolv.conf to point to the first ipa-server, with it's domain
4. run ipa-client-install feeding it the settings of the second ipa-server
  
Actual results:
+ /usr/sbin/ipa-client-install --domain=SECOND.SERVER.DOMAIN.REDHAT.COM
--server=4.2.2.2 --unattended
Discovery was successful!
Realm: DSQA.SJC2.REDHAT.COM
DNS Domain: dsqa.sjc2.redhat.com
IPA Server: iparhel5-64vm.dsqa.sjc2.redhat.com
BaseDN: dc=dsqa,dc=sjc2,dc=redhat,dc=com

SECOND.SERVER.DOMAIN.REDHAT.COM and iparhel5-64vm.dsqa.sjc2.redhat.com are not
the same.

Client configuration complete.
+ ret=0
+ '[' 0 == 0 ']'
+ echo 'ERROR - ipa-client-install worked when it was fed bad info'
ERROR - ipa-client-install worked when it was fed bad info
+ exit

Expected results:
ipa-client-install to bind to the second server, possible trowing out a message
about a bad DNS configuration.
Comment 1 Michael Gregg 2008-02-21 12:22:28 EST
failed against build from 2-21-08

+ /usr/sbin/ipa-client-install --domain=BAD.IPA.DOMAIN.REDHAT.COM
--server=4.2.2.2 --unattended
Discovery was successful!
Realm: DSQA.SJC2.REDHAT.COM
DNS Domain: dsqa.sjc2.redhat.com
IPA Server: ipaqavm.dsqa.sjc2.redhat.com
BaseDN: dc=dsqa,dc=sjc2,dc=redhat,dc=com
Comment 2 Michael Gregg 2008-04-02 14:41:08 EDT
Created attachment 300112 [details]
log with successful negitive test case
Comment 3 Michael Gregg 2008-04-02 14:42:19 EDT
verified last on 3-24-08

+ echo 'Test case 2548'
Test case 2548
+ /usr/sbin/ipa-client-install --domain=BAD.IPA.DOMAIN.REDHAT.COM
--server=4.2.2.2 --unattended
+ ret=252
+ '[' 252 == 0 ']'
+ echo 'Test case 2399'

log from:
http://apoc.dsdev.sjc.redhat.com/tet/results/2008-03-24_13_39/client-ipaf7-64vm-FC7-x86_64-GOOD-log.txt

Note You need to log in before you can comment on or make changes to this bug.